#ifndef _GLOBAL_H_
#define _GLOBAL_H_

#define LCD_PORT	PORTD
#define LCD_DIR		DDRD
#define LCD_CLK		0
#define LCD_DAT		1
#define LCD_CD		2
#define LCD_RES		3

#define SETBIT(x,y)		( x |= (1<<y) )
#define CLRBIT(x,y)		( x &= ~(1<<y) )
#define BITON(x,y)		( x & (1<<y) )

//  ,     
extern void nokia_cmd( uint8_t );
extern void nokia_data( uint8_t );
extern void nokia_init( void );
extern void nokia_gotoXY( char, char );
extern void nokia_load( uint8_t );
extern void nokia_cls( void );
extern void nokia_full_screen( void );
extern void nokia_put_img(char, char, char, char, char *);
extern void N_prot_D( void );
extern void P_prot_D( void );
extern void nokia_put_char( char );
extern void nokia_hFE( void );
extern void nokia_Cg( void );
extern void nokia_pF( void );
extern void nokia_mV( void );
extern void nokia_nF( void );
extern void nokia_Uf( void );
extern void nokia_Vt( void );
extern void put_qmark( void );
extern void put_diode( void );
extern void put_serial( void );
extern void nokia_pdec( char, char );
extern void put_cc( void );
extern void put_ca( void );
extern void put_anti( void );
extern void put_bipolar( void );
extern void put_an( void );
extern void put_ap( void );
extern void put_npd( void );
extern void put_ppd( void );
extern void put_nfet( void );
extern void put_pfet( void );
extern void put_nemos( void );
extern void put_pemos( void );
extern void put_ndmos( void );
extern void put_pdmos( void );
extern void put_tyry( void );
extern void put_simi( void );
extern void put_batt100( void );
extern void put_batt75( void );
extern void put_batt25( void );
extern void put_batt0( void );

//  ,     
extern char  string_buf[6];
extern char *imgp;
extern char pd[] PROGMEM;
extern char arr_l[] PROGMEM;
extern char arr_r[] PROGMEM;
extern char pdu[] PROGMEM;
extern char pdd[] PROGMEM;
extern char sym[] PROGMEM;
extern char qmark[] PROGMEM;
extern char diode[] PROGMEM;
extern char serial[] PROGMEM;
extern char c_a[] PROGMEM;
extern char c_c[] PROGMEM;
extern char anti[] PROGMEM;
extern char bipolar[] PROGMEM;
extern char ap[] PROGMEM;
extern char an[] PROGMEM;
extern char nfet[] PROGMEM;
extern char pfet[] PROGMEM;
extern char nemos[] PROGMEM;
extern char pemos[] PROGMEM;
extern char ndmos[] PROGMEM;
extern char pdmos[] PROGMEM;
extern char tyry[] PROGMEM;
extern char simi[] PROGMEM;
extern char batt100[] PROGMEM;
extern char batt75[] PROGMEM;
extern char batt25[] PROGMEM;
extern char batt0[] PROGMEM;

#endif

